# Class CIM_WeightedREDDropperService
extends CIM_DropperService

This class represents a logical entity that resides in the data forwarding path of a network device. It describes the ability to drop network traffic using a Weighted Random Early Detection (WRED) algorithm. Like RED, the purpose of WRED is to avoid congestion (as opposed to managing congestion). This modification of the basic RED algorithm enables packets belonging to different traffic classes to be dropped at different queue depths. This algorithm also enables discard to be done based on different information contained in the packet header, such as IP Precedence, RSVP session parameters, or even on other factors not directly encoded in the packet header, such as the queue depth. Implementation of this class has shown that weighting should not be a property of the class (but on an association to it), and that there is insufficient data to process the drop metric. The class is deprecated pending further definition by the DMTF.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_Service
|
+--CIM_ConditioningService
|
+--CIM_DropperService
|
+--CIM_WeightedREDDropperService

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Deprecated | string | No value

Description

string

This class represents a logical entity that resides in the data forwarding path of a network device. It describes the ability to drop network traffic using a Weighted Random Early Detection (WRED) algorithm. Like RED, the purpose of WRED is to avoid congestion (as opposed to managing congestion). This modification of the basic RED algorithm enables packets belonging to different traffic classes to be dropped at different queue depths. This algorithm also enables discard to be done based on different information contained in the packet header, such as IP Precedence, RSVP session parameters, or even on other factors not directly encoded in the packet header, such as the queue depth. Implementation of this class has shown that weighting should not be a property of the class (but on an association to it), and that there is insufficient data to process the drop metric. The class is deprecated pending further definition by the DMTF.

UMLPackagePath | string | CIM::Network::QoS
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
DropMetric | uint16 |
Deprecated | string | No value
Description | string | This property is an enumerated 16-bit unsigned integer, and defines the type of metric that is used to drop traffic. Values are: 1: Other 2: IP Precedence 3: DSCP Value 4: 802.1P Priority Value 5: RSVP Session 6: Queue Depth 7: Packet Arrival Rate.
ModelCorrespondence | string | CIM_WeightedREDDropperService.OtherDropMetric
ValueMap | string | 1, 2, 3, 4, 5, 6, 7
Values | string | Other, IP Precedence, DSCP Value, 802.1P Priority Value, RSVP Session, Queue Depth, Packet Arrival Rate
OtherDropMetric | string |
Deprecated | string | No value
Description | string | This string property is used in conjunction with the DropMetric property. When the value of DropMetric is 1 (i.e., "Other"), then the type of metric to be used is defined in this property.
ModelCorrespondence | string | CIM_WeightedREDDropperService.DropMetric
Weight | real32 |
Deprecated | string | CIM_DropThresholdCalculationService.SmoothingWeight
Description | string | This is a 32-bit real number that represents the weighting factor used to determine which queues get more service.
MaxValue | sint64 | 100
MinValue | sint64 | 0

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
AlwaysDrop | uint16 | CIM_DropperService
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_Service
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
DropFrom | uint16 | CIM_DropperService
DropMaintainMetric | uint16 | CIM_DropperService
DropperType | uint16 | CIM_DropperService
DropStartMetric | uint16 | CIM_DropperService
ElementName | string | CIM_ManagedElement
Enabled | boolean | CIM_ConditioningService
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_EnabledLogicalElement
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_Service
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherDropperType | string | CIM_DropperService
OtherEnabledState | string | CIM_EnabledLogicalElement
PrimaryOwnerContact | string | CIM_Service
PrimaryOwnerName | string | CIM_Service
PrimaryStatus | uint16 | CIM_ManagedSystemElement
RequestedState | uint16 | CIM_EnabledLogicalElement
Started | boolean | CIM_Service
StartMode | string | CIM_Service
Status | string | CIM_ManagedSystemElement
SystemCreationClassName | string | CIM_Service
SystemName | string | CIM_Service
TimeOfLastStateChange | datetime | CIM_EnabledLogicalElement
TransitioningToState | uint16 | CIM_EnabledLogicalElement
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
RequestStateChange | uint32 | CIM_EnabledLogicalElement
StartService | uint32 | CIM_Service
StopService | uint32 | CIM_Service